{#
/**
 * @file
 * Theme override for main view template.
 *
 * Available variables:
 * - attributes: Remaining HTML attributes for the element.
 * - css_name: A CSS-safe version of the view name.
 * - css_class: The user-specified classes names, if any.
 * - header: The optional header.
 * - footer: The optional footer.
 * - rows: The results of the view query, if any.
 * - empty: The content to display if there are no rows.
 * - pager: The optional pager next/prev links to display.
 * - exposed: Exposed widget form/info to display.
 * - feed_icons: Optional feed icons to display.
 * - more: An optional link to the next page of results.
 * - title: Title of the view, only used when displaying in the admin preview.
 * - title_prefix: Additional output populated by modules, intended to be
 *   displayed in front of the view title.
 * - title_suffix: Additional output populated by modules, intended to be
 *   displayed after the view title.
 * - attachment_before: An optional attachment view to be displayed before the
 *   view content.
 * - attachment_after: An optional attachment view to be displayed after the
 *   view content.
 * - dom_id: Unique id for every view being printed to give unique class for
 *   Javascript.
 *
 * @see template_preprocess_views_view()
 */
#}
{%
  set classes = [
  dom_id ? 'js-view-dom-id-' ~ dom_id,
  'rbg-flow-y--space-8',
  ]
%}

{% set additional_text %}
<p>You could:</p>
<ul>
  <li>check your spelling</li>
  <li>try different words</li>
  <li>use full words (not acronyms)</li>
  <li>use one of our categories or filters</li>
</ul>
{% endset %}

<div{{attributes.addClass(classes)}}>

  {{ title_prefix }}
  {{ title }}
  {{ title_suffix }}

  {{ attachment_before }}
  {% if rows -%}
    {% set list %}
    {{ pattern('service_card_group', {items: rows, border: true}) }}
    {% endset %}
    {% set map %}
    {{ drupal_entity('node', 1, 'teaser') }}
    {% endset %}
    {% set items = [list, map] %}

    <div class="rbg-my--space-3">
      {{ pattern('results_summary', {markup: header['result']['#markup']}, 'large') }}
    </div>

    {{ attach_library('greenwich_community_directory/tabbed_content') }}

    {% set tabbed_content_attributes = create_attribute().setAttribute('data-callback-on-tab', 'tabbedContentOnTab') %}
    {{ pattern('tabbed_content', { tabs: [{ title: 'List view'|t, is_active: true }, { title: 'Map view'|t }], items: items, attributes: tabbed_content_attributes }) }}

  {% else %}

    {{ pattern('no_results_message', {
      no_results_found: 'No results found',
      search_string: search_string,
      additional_text: additional_text
    })
  }}
  {% endif %}

  {{ pager }}

  {{ attachment_after }}
  {{ more }}

  {% if footer %}
    <footer>
      {{ footer }}
    </footer>
  {% endif %}

  {{ feed_icons }}

</div>
